Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Offset Class Reference

`#include <Geometry.h>`

## Public Member Functions
| Offset ()
| Offset (const char *offset_)
| Offset (const Offset &offset_)
| Offset (const std::string &offset_)
| Offset (ssize_t x_, ssize_t y_)
| ~Offset (void)
const Offset & | operator= (const char *offset_)
Offset & | operator= (const Offset &offset_)
const Offset & | operator= (const std::string &offset_)
ssize_t | x (void) const
ssize_t | y (void) const
| operator MagickCore::OffsetInfo () const

## Detailed Description

Definition at line 151 of file Geometry.h.

## Constructor & Destructor Documentation

## ◆ Offset() [1/5]

Magick::Offset::Offset | ( | void |  | ) |

Definition at line 489 of file Geometry.cpp.

## ◆ Offset() [2/5]

Magick::Offset::Offset | ( | const char * | offset_ | ) |

Definition at line 495 of file Geometry.cpp.

## ◆ Offset() [3/5]

Magick::Offset::Offset | ( | const Offset & | offset_ | ) |

Definition at line 502 of file Geometry.cpp.

## ◆ Offset() [4/5]

Magick::Offset::Offset | ( | const std::string & | offset_ | ) |

Definition at line 508 of file Geometry.cpp.

## ◆ Offset() [5/5]

Magick::Offset::Offset | ( | ssize_t | x_,
|  | ssize_t | y_
| ) |  |

Definition at line 515 of file Geometry.cpp.

## ◆ ~Offset()

Magick::Offset::~Offset | ( | void |  | ) |

Definition at line 521 of file Geometry.cpp.

## Member Function Documentation

## ◆ operator MagickCore::OffsetInfo()

Magick::Offset::operator MagickCore::OffsetInfo | ( |  | ) | const

Definition at line 568 of file Geometry.cpp.

## ◆ operator=() [1/3]

const Magick::Offset & Magick::Offset::operator= | ( | const char * | offset_ | ) |

Definition at line 525 of file Geometry.cpp.

## ◆ operator=() [2/3]

Magick::Offset & Magick::Offset::operator= | ( | const Offset & | offset_ | ) |

Definition at line 541 of file Geometry.cpp.

## ◆ operator=() [3/3]

const Magick::Offset & Magick::Offset::operator= | ( | const std::string & | offset_ | ) |

Definition at line 552 of file Geometry.cpp.

## ◆ x()

ssize_t Magick::Offset::x | ( | void |  | ) | const

Definition at line 558 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ y()

ssize_t Magick::Offset::y | ( | void |  | ) | const

Definition at line 563 of file Geometry.cpp.

Referenced by Magick::operator==().

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp